> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Safe Wallet

> Sets or clears the grant (and derived roleInOrg) linked to a legacy Safe wallet.

Not available to API keys yet. It will need `wallets:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/update-safe-wallet
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/update-safe-wallet:
    post:
      operationId: updateSafeWallet
      summary: Update Safe Wallet
      description: >-
        Sets or clears the grant (and derived roleInOrg) linked to a legacy Safe
        wallet.


        Not available to API keys yet. It will need `wallets:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSafeWalletRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateSafeWalletResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpdateSafeWalletRequest:
      type: object
      properties:
        grantID:
          type:
            - string
            - 'null'
          format: uuid
        roleInOrgID:
          type:
            - string
            - 'null'
          format: uuid
        safeWalletID:
          type: string
          format: uuid
      required:
        - grantID
        - safeWalletID
    UpdateSafeWalletResponse:
      type: object
      properties:
        safeWalletID:
          type: string
        orgID:
          type: string
        safeWalletLink:
          type: string
        safeWalletAddress:
          type: string
        safeWalletName:
          type: string
        signers:
          type:
            - string
            - 'null'
        tokenAllocation:
          type:
            - string
            - 'null'
        network:
          type:
            - string
            - 'null'
        status:
          type:
            - boolean
            - 'null'
        roleInOrgID:
          type:
            - string
            - 'null'
        grantID:
          type:
            - string
            - 'null'
        walletType:
          type: string
        createdAt:
          type: string
        updatedAt:
          type: string
        deletedAt:
          type:
            - string
            - 'null'
        balanceAmount:
          type:
            - string
            - 'null'
        balanceUpdatedAt:
          type:
            - string
            - 'null'
        updatingBalance:
          type:
            - boolean
            - 'null'
        legacyMigratedAt:
          type:
            - string
            - 'null'
        legacyModelID:
          type:
            - integer
            - 'null'
      required:
        - safeWalletID
        - orgID
        - safeWalletLink
        - safeWalletAddress
        - safeWalletName
        - signers
        - tokenAllocation
        - network
        - status
        - roleInOrgID
        - grantID
        - walletType
        - createdAt
        - updatedAt
        - deletedAt
        - balanceAmount
        - balanceUpdatedAt
        - updatingBalance
        - legacyMigratedAt
        - legacyModelID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
